package com.caimei.module.base.entity.vo;

import com.caimei.module.base.entity.po.CmOrderProduct;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * Description
 *
 * @author : plf
 * @date : 2020\3\19 0019
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class OrderProductVo extends CmOrderProduct {
    /**
     * 已发货数量
     */
    private Integer shipmentsNum;

    /**
     * 已退货数量
     */
    private Integer returnedNum;

    /**
     * 已取消发货数量
     */
    private Integer actualCancelNum;

    /**
     * 内部商品名称
     */
    private String aliasName;

    /**
     * 商品的类别：1正常商品(默认)，2二手商品
     */
    private String productCategory;

    /**
     * 是否含税 0不含税，1含税，2未知
     */
    private String includedTax;

    /**
     * 发票类型(基于是否含税基础) 1增值税票，2普通票, 3不能开票
     */
    private String invoiceType;

    /**
     * 二手商品分类，1二手仪器，2临期产品，3其他
     */
    private String secondHandType;
}
